# coding: utf-8

"""
    IBM Guardium Data Security Center

    IBM Guardium Data Security Center simplifies your organization's Data Security architecture and enables access to long-term data security and compliance data. It provides security teams with risk-based views and alerts, as well as advanced analytics based on proprietary ML technology to uncover hidden threats. IBM Guardium Data Security Center gives security professionals the ability to quickly create data security and audit reports, monitor activity in on-prem and DBaaS sources, and take action from a central location.

    The version of the OpenAPI document: 3
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import json
from enum import Enum
from typing_extensions import Self


class VulnerabilityType(str, Enum):
    """
    VulnerabilityType
    """

    """
    allowed enum values
    """
    PUBLIC_MINUS_FACING = 'public-facing'
    NO_MINUS_BACKUP = 'no-backup'
    UNENCRYPTED = 'unencrypted'
    COPIED_MINUS_SENSITIVITIES = 'copied-sensitivities'
    COPIED_MINUS_SENSITIVITIES_MINUS_FLOW = 'copied-sensitivities-flow'
    CROSS_MINUS_LOCATION = 'cross-location'
    POTENTIAL_MINUS_CROSS_MINUS_LOCATION = 'potential-cross-location'
    POTENTIAL_MINUS_CROSS_MINUS_ACCOUNT = 'potential-cross-account'
    TRANSITIVE_MINUS_DATA_MINUS_FLOW = 'transitive-data-flow'
    ACTUAL_MINUS_CROSS_MINUS_COUNTRY_MINUS_DATA_MINUS_TRANSACTION = 'actual-cross-country-data-transaction'
    DEFAULT_MINUS_WRITE_MINUS_ENTITLEMENTS = 'default-write-entitlements'
    CROSS_MINUS_ACCOUNT = 'cross-account'
    POTENTIAL_MINUS_EXTERNAL_MINUS_SHARING = 'potential-external-sharing'
    EXTERNAL_MINUS_SHARING = 'external-sharing'

    @classmethod
    def from_json(cls, json_str: str) -> Self:
        """Create an instance of VulnerabilityType from a JSON string"""
        return cls(json.loads(json_str))


